The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Установка Zyxel OMNI ADSL USB на Gentoo linux 2005.1 (linux modem adsl)


<< Предыдущая ИНДЕКС Правка src / Печать Следующая >>
Ключевые слова: linux, modem, adsl,  (найти похожие документы)
From: grena <grena@grena.spb.ru.> Date: Mon, 3 Jan 2005 18:21:07 +0000 (UTC) Subject: Установка Zyxel OMNI ADSL USB на Gentoo linux 2005.1 Оригинал: http://grena.spb.ru/linux_adsl.php Введение Это руководство - описание моих шагов по настройке ADSL. Точно работает на Gentoo 2005.1 с провайдером Web Plus. Ядро 2.6.12. Если у кого-то что-то не будет работать, можно задать вопрос, мыло слева внизу. Установка 1. Первое, что потребуется - сам драйвер. Драйвер скачан с этого сайта, но помещен здесь, на случай, если там его заменят или удалят. 2. Нужно скачать firmware от модема Zyxel. Это прошивка от модема с кодами [VendorID:0586, ProductID:330A]. Узнать ваши коды модема можно командой lsusb. Она выведет все USB устройства и покажет их коды. Скачанный файл положите в каталог /lib/firmware. Если каталога нет - испугайтесь. Потом создайте его и положите туда этот файл. 3. Нужно скачать настройки модема. Этот файл также положите в каталог /lib/firmware. 4. Распаковываем драйвер. После распаковки получится каталог 'drivers', в нем лежит 'usb', в нем 'atm'. Вот из каталога atm копируем все файлы ы каталог '/usr/src/linux/drivers/usb/atm/'. 5. Конфигурируем ядро. Установитe опции: Network support options: <Y> Asynchronous Transfer Mode (ATM) <Y> Classical IP over ATM <Y> RFC1483/2684 Bridged protocols Device Driver -> USB Support: USB DSL modem support: <M> Conexant AccessRunner USB support 6. Собираем ядро, перезагружаемся 7. Нам потребуется linux-atm. Делаем emerge linux-atm 8. Также нужен coldplug. Делаем emerge coldplug. За этим rc-update add coldplug boot 9. Перегружаемся. После загрузки модем должен начать мигать, пытаясь поймать DSL канал. Если он этого не делает, продолжать бесполезно. Проверяйте, все ли правильно. Или позовите админа, пусть включит-выключит. 10. Если модем замигал, все прекрасно. Теперь берем этот скрипт, редактируем в нем IP адрес, шлюз и запускаем. Создаестся atm0 и запустится связь. Скрипт написан на основе скрипта инициализации, взятого из старого драйвера. 11. Скачиваем порно. Много порно. Массу порно.
g_adsl_up.sh #!/bin/bash ##################################################################### ##################################################################### IP_ADDRESS=195.131.133.93 NETMASK=255.255.255.0 GATEWAY=195.131.133.1 ##################################################################### ##################################################################### VPI=1 VCI=32 TEXTDOMAIN=`basename $0` # Load ATMARP daemon pid=`pidof atmarpd` if [ "$pid" = "" ]; then atmarpd -b -l syslog -m || exit 1 sleep 1s fi while ! grep -q "atm0" /proc/net/dev; do atmarp -c atm0||echo "I think, ADSL modem is not started, but will retry" sleep 4s done ifconfig atm0 $IP_ADDRESS netmask $NETMASK up || exit 1 sleep 1s if route -n | cut -d' ' -f1 | grep -q "0.0.0.0"; then route del default || exit 1 fi while ! atmarp -s $GATEWAY 0.$VPI.$VCI do echo "I think, ADSL modem is not loaded, retry" sleep 4s done route add default gw $GATEWAY || exit 1

<< Предыдущая ИНДЕКС Правка src / Печать Следующая >>

 Добавить комментарий
Имя:
E-Mail:
Заголовок:
Текст:




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2021 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру